APIReferenceOpportunities
Sync an opportunity to CRM
Starts `syncOpportunityWorkflow` for the organization CRM integration.
Starts syncOpportunityWorkflow for the organization CRM integration.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Path Parameters
opportunityId*string
Id of the opportunity to address.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/opportunities/88888888-8888-4888-8888-888888888888/sync" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "88888888-8888-4888-8888-888888888888", "organization_id": "33333333-3333-4333-8333-333333333333", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "status": "ready", "score": 78, "summary": "string", "created_from_signal_id": "75dff250-3361-4976-ac11-928b3618a81e", "outcome": "won", "outcome_at": null, "outcome_value": null, "created_at": "2026-09-15T12:00:00.000Z", "updated_at": "2026-09-15T12:00:00.000Z"}